# Have a speech provider write the transcript of a video or audio file

`POST /assets/{id}/transcribe` · Rivier · files

Have a speech provider write the transcript of a video or audio file. It is saved marked as written by a model until a person has read it.

- Scope: files:write
- Mcp: rivier_assets_transcribe
- Graphql: Mutation.filesAssetTranscribe
- Sdk: files.asset.transcribe
- Cli: files asset transcribe
- Events: files.asset.updated

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "lang": {
      "type": "string",
      "minLength": 2,
      "maxLength": 12
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/assets/{id}/transcribe' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "lang": "string"
}'
```
